import request from '@/utils/request'

// 查询病人列表
export function listPatient(query) {
  return request({
    url: '/store/patient/list',
    method: 'get',
    params: query
  })
}

// 查询病人详细
export function getPatient(patientId) {
  return request({
    url: '/store/patient/' + patientId,
    method: 'get'
  })
}
// 查询病人详细
export function getPatientByUserId(userId) {
  return request({
    url: '/store/patient/getPatient/' + userId,
    method: 'get'
  })
}

// 新增病人
export function addPatient(data) {
  return request({
    url: '/store/patient',
    method: 'post',
    data: data
  })
}

// 修改病人
export function updatePatient(data) {
  return request({
    url: '/store/patient',
    method: 'put',
    data: data
  })
}

// 删除病人
export function delPatient(patientId) {
  return request({
    url: '/his/patient/' + patientId,
    method: 'delete'
  })
}

// 导出病人
export function exportPatient(query) {
  return request({
    url: '/store/patient/export',
    method: 'get',
    params: query
  })
}

// 根据名称模糊查询患者列表
export function getPatientListLikeName(params) {
  return request({
    url: '/store/patient/getPatientListLikeName',
    method: 'get',
    params: params
  })
}

// 根据电话号码模糊查询患者列表
export function getPatientListLikeTel(params) {
  return request({
    url: '/store/patient/getPatientListLikeTel',
    method: 'get',
    params: params
  })
}
